Subject: bug#8132: 23.1; comint shell replaces \ in paths with /

From: Eli Zaretskii <[email-masked]>
Date: Tue, 01 Mar 2011 05:54:50 +0200

> From: Stefan Monnier <[email-masked]>
> Cc: Zeljko Vrba <[email-masked]>,  [email-masked]
> Date: Mon, 28 Feb 2011 18:04:19 -0500
> 
> Maybe the best way is for shell.el to burp or warn the user that she
> would be better served by eshell.  But maybe file completion in shell.el
> should be tweaked to not turn \ into / in that case.

It could be easier to make a wrapper around the file completion, which
would simply convert all / into \ when the result is inserted into the
shell buffer.  That's because working with / is very basic in
file-name completion, and reaches deep into the code and the
primitives it uses.